/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.data.omegat;

import org.osgi.framework.BundleContext;

import benten.cat.glossary.engine.data.AbstractGlossaryDataPlugin;

/**
 * 用語集データ OmegaT プラグインです。
 */
public class CatGlossaryDataOmegatPlugin extends AbstractGlossaryDataPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = CatGlossaryDataOmegatPlugin.class.getPackage().getName();

	/**
	 * コンストラクター。
	 */
	public CatGlossaryDataOmegatPlugin() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}
}
